<?php

/**
 * @link https://jajaaan.co.jp/wordpress/wordpress-admin-page/
 */

function stbl_general_settings_menu_page() {
    add_menu_page( 'ブロック設定', 'ブロック設定', 'manage_options', 'block_settings_page', 'stbl_add_general_settings_menu_page', 'dashicons-admin-generic', 20 );
    add_action( 'admin_init', 'stbl_register_custom_setting' );
}
add_action( 'admin_menu', 'stbl_general_settings_menu_page' );

function stbl_add_general_settings_menu_page() {
    $color_settings = stbl_DEFAULT_COLORS;
    $color_num = 1;
?>
    <div class="stbl-settings-page">
        <h2 class="stbl-settings-page__ttl">ブロック設定画面</h2>
        <div class="stbl-settings-form-wrap">
            <div class="stbl-settings-group">
                <form method="post" action="options.php" enctype="multipart/form-data" encoding="multipart/form-data">
                    <?php
                    settings_fields('block-settings-group');
                    do_settings_sections('block-settings-group');
                    ?>
                    <div class="stbl-settings-group-item">
                        <h3>カラーパレット設定</h3>
                        <div class="stbl-settings-color-list">
                            <?php foreach ($color_settings as $color) : ?>
                                <div class="stbl-settings-color">
                                    <label for=""><?php echo $color['name']; ?></label><br />
                                    <input type="text" name="stbl_block_color_<?php echo $color['key']; ?>" class="add-color-picker-number-field color-palette-item" value="<?php echo get_option('stbl_block_color_' . $color["key"], $color["default"]); ?>" data-default="<?php echo $color["default"]; ?>">
                                </div>
                                <?php $color_num++; ?>
                            <?php endforeach; ?>
                        </div>

                    </div>
                    <?php submit_button(); ?>
                </form>
            </div>

        </div>
    </div>
<?php
}

function stbl_register_custom_setting()
{

    $color_settings = stbl_DEFAULT_COLORS;

    foreach($color_settings as $color) {
        register_setting( 'block-settings-group', 'stbl_block_color_' . $color['key'] );
    }
}
