<?php

if ( ! function_exists( 'stbl_get_category_colors' ) ) {
	function stbl_get_category_colors( $cat_id, $style = 'fill' ) {
		if ( empty( $cat_id ) ) return;
		
		$cat_meta = get_option( 'cat_' . $cat_id );

		$text_color = ! empty( $cat_meta['category_text_color'] ) ? $cat_meta['category_text_color'] : '';
		$category_color = ! empty( $cat_meta['category_color'] ) ? $cat_meta['category_color'] : '';

		if ( $style !== 'fill') {
			if ( ! empty( $category_color ) ) {
				return "color:{$category_color};";
			}

			return '';
		}

		if ( $text_color === 'white' ) {
			$text_color = '#fff';
		} elseif ( $text_color === 'black' ) {
			$text_color = '#111;';
		}

		$color_style = "color:{$text_color};";
		
		if ( ! empty( $category_color ) ) {
			$cat_bg_color = 'background-color:' . $category_color . ';';
		} else {
			$cat_bg_color = '';
		}

		return $cat_bg_color . $color_style;
	}
}

if( !function_exists( 'stbl_entry_category' ) ) {
	function stbl_entry_category( $post_id, $position = 'left-top' ) {
		$cat_obj = get_the_category( $post_id );

		if ( empty( $cat_obj ) ) return;

		if ( $position !== 'bottom-all') {

			if ( is_category() ) {
				$cat_id = get_query_var( 'cat' );
				$current_cat = get_category( $cat_id );
				$cat_obj = array(
					$current_cat,
				);
			} else {
				$cat_obj = array(
					$cat_obj[0],
				);
			}
		}



		$style = 'fill';

		if ( $position !== 'left-top' ) {
			$style = 'text-color';
		}

		$tag = 'span';

		if ( isset( $args ) && isset( $args['tag'] ) ) {
			if ( $args['tag'] === 'a' ) {
				$tag = 'a';
			}
		}
		?>
<ul class="stbl-entries-item__cat stbl-entries-item__cat--<?php echo $position; ?>">
	<?php foreach( $cat_obj as $cat ) : ?>
		<?php
			$cat_id = $cat->cat_ID;
			$cat_style = stbl_get_category_colors( $cat_id, $style );
			$style = ! empty($cat_style) ? 'style="' . $cat_style . ';"' : '';
		?>
		<li class="stbl-entries-item__cat-item">
			<span class="stbl-entries-item__cat-text" <?php echo $style; ?>>
				<svg xmlns="http://www.w3.org/2000/svg" width="60.347" height="47.889" viewBox="0 0 60.347 47.889"><g transform="translate(-0.29 -379.121)"><path d="M54.075,388.454H32.7l-4.153-7.964a2.546,2.546,0,0,0-2.258-1.369H6.644A6.354,6.354,0,0,0,.29,385.475v34.972a6.563,6.563,0,0,0,6.563,6.563H54.075a6.563,6.563,0,0,0,6.562-6.563V395.016a6.562,6.562,0,0,0-6.562-6.562" fill="currentColor"/></g></svg>
				<?php echo $cat->cat_name; ?>
			</span>
		</li>
	<?php endforeach; ?>
</ul>
		<?php
	}
}