<?php

// スマホかどうか判定
if( !function_exists( 'stbl_is_mobile' ) ) {
	function stbl_is_mobile() {
		$useragents = array(
			'iPhone',          // iPhone
			'iPod',            // iPod touch
			'^(?=.*Android)(?=.*Mobile)', // 1.5+ Android
			'dream',           // Pre 1.5 Android
			'CUPCAKE',         // 1.5+ Android
			'blackberry9500',  // Storm
			'blackberry9530',  // Storm
			'blackberry9520',  // Storm v2
			'blackberry9550',  // Storm v2
			'blackberry9800',  // Torch
			'webOS',           // Palm Pre Experimental
			'incognito',       // Other iPhone browser
			'webmate'          // Other iPhone browser
		);
		$pattern = '/'.implode('|', $useragents).'/i';
		return preg_match( $pattern, $_SERVER['HTTP_USER_AGENT'] );
	}
}



if ( ! function_exists( 'stbl_get_post_date_tag') ) {
	function stbl_get_post_date_tag( $post_id = '' , $type = 'post-update' ) {

		if ( $type === 'none' ) return '';
		
		if ( empty( $post_id ) ) {
			$post_id = get_the_ID();
		}

		$datetime = get_the_date( 'Y-m-d', $post_id );
		$update_time = get_the_modified_date( 'Y-m-d', $post_id );
		?>
<p class="stbl-post-date">
	<?php if( $type === 'post' ) : ?>
		<time datetime="<?php echo $datetime; ?>" class="stbl-post-date__time"><?php echo get_the_date('Y.m.d'); ?></time>
	<?php elseif ( $type === 'update' ) : ?>
		<time datetime="<?php echo $update_time; ?>" class="stbl-post-date__time stbl-post-date__time--update"><?php echo get_the_modified_date('Y.m.d'); ?></time>
	<?php elseif ( $type === 'post-update' ) : ?>
		<?php if( $datetime === $update_time ) : ?>
			<time datetime="<?php echo $datetime; ?>" class="stbl-post-date__time"><?php echo get_the_date('Y.m.d'); ?></time>
		<?php else : ?>
			<time datetime="<?php echo $datetime; ?>" class="stbl-post-date__time"><?php echo get_the_date('Y.m.d'); ?></time>
			<time datetime="<?php echo $update_time; ?>" class="stbl-post-date__time stbl-post-date__time--update"><?php echo get_the_modified_date('Y.m.d'); ?></time>
		<?php endif; ?>
	<?php endif; ?>
</p>
		<?php
	}
}
