<?php

/**
 * 文字数を丸める
 *
 * @param string $text テキスト
 * @param int $length 最大文字列
 * @return string 丸めた後のテキスト
 * @version 0.1.0
 */
if (!function_exists('stbl_mb_substr_text')) {
	function stbl_mb_substr_text($text, $length = 100)
	{

		/**
		 * 最大文字数よりも長い場合は3点リーダーを付ける
		 */
		$length = $length * 2 + 3; // 3点リーダー分プラス
		
		if (mb_strwidth($text, 'UTF-8') > $length) {
			$text = mb_strimwidth($text, 0, $length, "...", 'UTF-8');
		}
		return $text;
	}
}

/**
 * 改行を削除
 *
 * @param string $content 改行を削除したい文字列
 * @return string 改行を削除した文字列
 * @version 0.1.0
 */
if (!function_exists('stbl_delete_breaks')) {
	function stbl_delete_breaks($content)
	{

		$content = str_replace(array("\r\n", "\n", "\r"), '', $content);
		$content = str_replace(PHP_EOL, '', $content);
		return $content;
	}
}

/**
 * 複数のスペースを削除
 *
 * @param string $content テキスト
 * @return string 複数のスペースを削除したテキスト
 * @version 0.1.0
 */
if (!function_exists('stbl_trim_same_space')) {
	function stbl_trim_same_space($content)
	{
		// 両サイドのスペースを消す
		$content  = trim($content);
		// タブをスペースへ
		$content  = preg_replace('/[\t]/', '', $content);
		// 複数スペースを一つへ
		$content  = preg_replace('/\s(?=\s)/', '', $content);

		return $content;
	}
}