<?php

/**
 * javascriptの変数設定
 *
 * @since 1.7.0
 * @return void
 */

function stbl_localize_scripts() {

    /**
     * 吹き出し管理の設定を取得
     */
    $fukidashi_sets = array();
    $speech_bubble_sets = array();
    $args = array(
        'post_type' => 'fukidashi'
    );
    $fukidashi_posts = get_posts( $args );

    if( $fukidashi_posts ) {
        
        foreach( $fukidashi_posts as $post ) {
            $id = $post->ID;
            $fukidashi_title = get_the_title( $id );
            $fukidashi_image = get_post_meta( $id, 'fukidashi_image', true );
            $img_id = attachment_url_to_postid( $fukidashi_image );
            
            $width = '';
            $height = '';

            if ( $img_id ) {
                $img_src = wp_get_attachment_image_src( $img_id );
                
                if ( isset( $img_src[1] ) ) {
                    $width = $img_src[1];
                    $height = $img_src[2];
                }
            }

            $fukidashi_name = get_post_meta( $id, 'fukidashi_name', true );
    
            $fukidashi_sets[$id] = array(
                'title' => $fukidashi_title,
                'image' => $fukidashi_image,
                'name' => $fukidashi_name,
                'width' => $width,
                'height' => $height,
            );

            array_push( $speech_bubble_sets, array(
                'id' => $id,
                'title' => $fukidashi_title,
                'image' => $fukidashi_image,
                'name' => $fukidashi_name,
                'width' => $width,
                'height' => $height,
            ));
        }
    }
    wp_reset_postdata();

    // 管理者のデータを取得
    $args = array(
        'orderby'    => 'ID',
    );
    $users_data = get_users($args);

    $vars = array(
        'srcUrl'            => STBL_PLUGIN_DIR_URL . 'dist',
        'fukidashiSets'     => $fukidashi_sets,
        'speechBubbleSets'  => $speech_bubble_sets,
        'users'             => $users_data,
        'adminUrl'          => admin_url(),
    );

	wp_localize_script( 'script-streetist-blocks', 'stblJsValue', $vars );
	wp_localize_script( 'editor-script-streetist-blocks', 'stblJsValue', $vars );

}
add_action( 'admin_init', 'stbl_localize_scripts' );
