<?php

/**
 * 関連記事用ブログカード
 * @since 1.6.0
 * @return string
 */
function stbl_get_post_link_callback( $args) {
	if ( empty( $args['postId'] ) ) return "";

	$post_id   = $args['postId'];
	$title     = get_the_title( $post_id );
	$url       = get_permalink( $post_id );
	$excerpt_length = 100;

	if ( stbl_is_mobile() ) $excerpt_length = 60;

	$excerpt   = stbl_get_post_excerpt( $post_id, $excerpt_length );

	if ( mb_strwidth( $title, 'UTF-8' ) > 100 ) {
		$title = mb_strimwidth($title, 0, 100, '...', 'UTF-8');
	}
	$title = esc_html($title);
	$thumb_src = "";
	$thumb_src = stbl_get_thumbnail_url( $post_id, 'thumbnail' );

	if (!empty($thumb_src)){
		$content_thumb = '<div class="stbl-relatedpost__thumb"><figure class="stbl-relatedpost__thumb_inner"><img src="'.$thumb_src.'" alt="'.$title.'"></figure></div>';
	} else {
		$content_thumb = '<div class="stbl-relatedpost__thumb"><span class="stbl-relatedpost__thumb_inner stbl-relatedpost__thumb_inner--noimage"></span></div>';
	}
	return '<div class="stbl-relatedpost"><a href="'.$url.'" class="stbl-relatedpost__blogcard">'.
	$content_thumb .
	'<div class="stbl-relatedpost__content"><span class="stbl-relatedpost__ttl">'.$title.'</span><span class="stbl-relatedpost__txt">'.$excerpt.'</span></div>'.
	'</a></div>';
}


function stbl_register_block_related_post() {
	register_block_type( 'streetist-blocks/related-post', array(
		'editor_script' => array( 'script-streetist-blocks','script-streetist-blocks-toolbar' ),
		'editor_style' => 'editor-style-streetist-blocks',
		'attributes' => array(
			'postTitle'   => array(
				'type' => 'string',
				'default' => '',
			),
			'postId'    => array(
				'type' => 'string',
				'default' => '',
			),
			'isNewTab'    => array(
				'type' => 'boolean',
				'default' => !1,
			),
			'cardCaption' => array(
				'type' => 'string',
				'default' => '',
			),
		),
		'render_callback'=> 'stbl_get_post_link_callback',
	) );
}
add_action( 'init', 'stbl_register_block_related_post' );